import os

class Config:
    mqtt_broker = os.getenv('MQTT_BROKER')
    mqtt_port = int(os.getenv('MQTT_PORT'))
    mqtt_client_id = os.getenv('MQTT_CLIENT')
    mqtt_user_name = os.getenv('MQTT_USERNAME')
    mqtt_password = os.getenv('MQTT_PASSWORD')

    keycloak_url = os.getenv('KEYCLOAK_URL')
    keycloak_user_name = os.getenv('KEYCLOAK_USER_NAME')
    keycloak_password = os.getenv('KEYCLOAK_USER_PW')
    keycloak_realm = os.getenv('KEYCLOAK_REALM')

    db_host_name = os.getenv('DB_HOSTNAME')
    db_user_name = os.getenv('DB_USERNAME')
    db_password = os.getenv('DB_PASSWORD')
    db_database = os.getenv('DB_DATABASE')